package main

import (
	"fmt"
	"time"

	"git.fricloud.dk/eyjhb/minifluxmpv/cmd"
	tea "github.com/charmbracelet/bubbletea"
	miniflux "miniflux.app/client"
)

func main() {
	// fmt.Println(test())
	// return

	// init miniflux
	client := miniflux.New("https://miniflux.fricloud.dk/v1/", "F_61V4HkhhJjCF_hI12oDAYhgMY2769KAvOkqPsubqc=")

	// init miniflux player
	m := cmd.MinifluxPlayer{
		MinifluxClient:  client,
		DefaultCategory: "",
		MpvPath:         "mpv",

		CurrentView: cmd.ViewListFeedEntries,
	}

	// run tea program
	if _, err := tea.NewProgram(&m, tea.WithAltScreen()).Run(); err != nil {
		fmt.Println(err)

	}
}

func test() error {
	p := cmd.NewMPVPlayer()
	fmt.Println(p.IsPlaying())

	// err := p.Play("https://www.youtube.com/watch?v=gCYcHz2k5x0")
	var err error
	if err != nil {
		return err
	}

	time.Sleep(10 * time.Second)
	fmt.Println("First is playing")
	fmt.Println(p.IsPlaying())

	for {
		fmt.Println("2nd is playing")
		fmt.Println(p.IsPlaying())
	}

	// err = p.Play("https://www.youtube.com/watch?v=3d3ceC_EuC0")
	// if err != nil {
	// 	return err
	// }

	// time.Sleep(10 * time.Second)

	// fmt.Println(p.VideoDuration)
	// fmt.Println(p.VideoPosition)

	// time.Sleep(1 * time.Second)

	err = p.Stop()
	if err != nil {
		return err
	}

	fmt.Println("Started playing")
	time.Sleep(100 * time.Second)

	return nil

}
